Support » Plugin: Popup anything on click » Uncaught (in promise) Error: The element doesn’t exist at custombox.min.js:9

  • Resolved theslink2000

    (@theslink2000)


    Hi,

    I’ve been loving the simplicity of the plugin and it seems to work really well in most circumstances. However I am running into a weird issue that seems to be intermittent.

    I am using the plugin to load delete confirmation messages in a user area of a site; I have one at the top of the page (built using Toolset Content Templates) which opens a popup asking what kind of content the user wants to add. This one always works without fail, but the delete ones lower down sometimes work and sometimes don’t.

    It seems to be if I clear the cache and load the page fresh then it will cause this error in the JS Console:

    Uncaught (in promise) Error: The element doesn't exist
        at custombox.min.js:9
        at new Promise (<anonymous>)
        at e.value (custombox.min.js:9)
        at s.value (custombox.min.js:9)
        at HTMLAnchorElement.<anonymous> (popupaoc-public.js:8)
        at HTMLDocument.dispatch (jquery.js:3)
        at HTMLDocument.r.handle (jquery.js:3)
    (anonymous) @ custombox.min.js:9
    value @ custombox.min.js:9
    value @ custombox.min.js:9
    (anonymous) @ popupaoc-public.js:8
    dispatch @ jquery.js:3
    r.handle @ jquery.js:3
    Promise.catch (async)
    value @ custombox.min.js:9
    (anonymous) @ popupaoc-public.js:8
    dispatch @ jquery.js:3
    r.handle @ jquery.js:3

    If I go into an post edit and get redirected back to the page then the delete link will work fine. I’ve tried everything I can think of to figure out the cause, but JS is not my strong point and I really like your plugin and wouldn’t want to abandon it due to this.

    Any help would be greatly appreciated.

    Many thanks.

    • This topic was modified 4 months, 3 weeks ago by theslink2000.
Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Support Ketan Patel

    (@patelketan)

    Hello

    Thanks for reaching here.

    Please refer below screenshot and set the “Manage Polyfill JS” option.
    https://www.awesomescreenshot.com/image/5001315/8f879b9689a103a6bc11071796b17f8c

    Thanks,

    Hi Ketan,

    I readable this in your documentation and have already tried these setting options before reaching out. Unfortunately it made no difference. Though I should reiterate that there is no mention of Polyfil anywhere in the error.

    I haven’t been able to prove it yet, but I’m starting to suspect the issue might be related to conditional display of certain items. This could either be something in the modal or the button generated to load the modal. But this is only a suspicion at the moment and I’m trying to pin it down further.

    Is there anything else that could cause that error or anything else I can try?

    Plugin Support Ketan Patel

    (@patelketan)

    Hello,

    We have checked the local server this plugin and it perfectly works.

    Please check the WordPress default theme this plugin because this your theme conflict issue.

    Please send your website link, our team checks your website link.

    Please let me know if you have any other queries.

    Thanks,

    • This reply was modified 4 months, 2 weeks ago by Ketan Patel.
Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.